# TODO

## Must

- [x] Fix image uploads
- [x] Update recipe metadata
- [x] External OIDC server (+ move options to `.env.sample`)
- [x] Customisable Django `DJANGO_SECRET_KEY` and `DJANGO_SUPERUSER_PASSWORD`
- [ ] Versioned recipe release
- [x] `backup-bot-two` labels
- [x] Fix Django admin static files

## Should

- [ ] Move secrets to Docker secrets
  - [ ] Postgres password
  - [ ] y-provider key
  - [ ] OIDC secret
  - [ ] SMTP password
  - [ ] Minio password / `AWS_S3_SECRET_ACCESS_KEY`
- [x] Initial setup documentation
- [x] Move Minio bootstrap & DB migrate to `abra.sh` commands
- [ ] Expose options in `.env.sample`:
  - [ ] Branding
  - [x] Logging
- [x] SMTP
- [ ] Increase image upload filesize

## Could

- [ ] External Minio service
- [ ] Recipe CI tests
- [ ] Configurable image upload filesize
